# TdApi.GetRepliedMessage (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetRepliedMessage

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetRepliedMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Message>
it.tdlight.jni.TdApi.GetRepliedMessage

Enclosing class:
  TdApi

public static final class TdApi.GetRepliedMessage extends TdApi.Function<TdApi.Message>
Returns information about a message that is replied by a given message. Also, returns the pinned message, the game message, the invoice message, and the topic creation message for messages of the types messagePinMessage, messageGameScore, messagePaymentSuccessful, messageChatSetBackground and topic messages without replied message respectively. Returns `Message`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the chat the message belongs to.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Identifier of the reply message.

## Constructor Summary

Constructors
Constructor
Description
`GetRepliedMessage()`
Returns information about a message that is replied by a given message.
`GetRepliedMessage(long chatId, long messageId)`
Returns information about a message that is replied by a given message.
`GetRepliedMessage(DataInput input)`
Returns information about a message that is replied by a given message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat the message belongs to.

### messageId

public long messageId
Identifier of the reply message.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetRepliedMessage

public GetRepliedMessage()
Returns information about a message that is replied by a given message. Also, returns the pinned message, the game message, the invoice message, and the topic creation message for messages of the types messagePinMessage, messageGameScore, messagePaymentSuccessful, messageChatSetBackground and topic messages without replied message respectively. Returns `Message`

### GetRepliedMessage

public GetRepliedMessage(long chatId, long messageId)
Returns information about a message that is replied by a given message. Also, returns the pinned message, the game message, the invoice message, and the topic creation message for messages of the types messagePinMessage, messageGameScore, messagePaymentSuccessful, messageChatSetBackground and topic messages without replied message respectively. Returns `Message`

Parameters:
  `chatId` - long Identifier of the chat the message belongs to.
  `messageId` - long Identifier of the reply message.

### GetRepliedMessage

public GetRepliedMessage(DataInput input) throws IOException
Returns information about a message that is replied by a given message. Also, returns the pinned message, the game message, the invoice message, and the topic creation message for messages of the types messagePinMessage, messageGameScore, messagePaymentSuccessful, messageChatSetBackground and topic messages without replied message respectively. Returns `Message`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`